{
  "schema_version": "1.4.0",
  "id": "GHSA-68mc-8233-5xrw",
  "modified": "2025-04-11T04:12:12Z",
  "published": "2022-05-13T01:05:17Z",
  "aliases": [
    "CVE-2013-2028"
  ],
  "details": "The ngx_http_parse_chunked function in http/ngx_http_parse.c in nginx 1.3.9 through 1.4.0 allows remote attackers to cause a denial of service (crash) and execute arbitrary code via a chunked Transfer-Encoding request with a large chunk size, which triggers an integer signedness error and a stack-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2013-2028"
    },
    {
      "type": "WEB",
      "url": "https://github.com/rapid7/metasploit-framework/pull/1834"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2013-May/105176.html"
    },
    {
      "type": "WEB",
      "url": "http://mailman.nginx.org/pipermail/nginx-announce/2013/000112.html"
    },
    {
      "type": "WEB",
      "url": "http://nginx.org/download/patch.2013.chunked.txt"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/121675/Nginx-1.3.9-1.4.0-Denial-Of-Service.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/55181"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-201310-04.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/93037"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/59699"
    },
    {
      "type": "WEB",
      "url": "http://www.vnsecurity.net/2013/05/analysis-of-nginx-cve-2013-2028"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-787"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2013-07-20T03:37:00Z"
  }
}